package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SalaryBagEntryFactory
{
    private SalaryBagEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBagEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBagEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("56660636") ,com.kingdee.eas.custom.bill.salary.ISalaryBagEntry.class);
    }
    
    public static com.kingdee.eas.custom.bill.salary.ISalaryBagEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBagEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("56660636") ,com.kingdee.eas.custom.bill.salary.ISalaryBagEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBagEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBagEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("56660636"));
    }
    public static com.kingdee.eas.custom.bill.salary.ISalaryBagEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.ISalaryBagEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("56660636"));
    }
}